Export lineage - Gable Docs

Documentation Index

Fetch the complete documentation index at: /llms.txt

Use this file to discover all available pages before exploring further.

GET

/v0

lineage

/export

Export lineage

cURL

curl --request GET \
  --url https://demo-api.gable.ai/v0/lineage/export \
  --header 'X-API-KEY: <api-key>'

Python

import requests

url = "https://demo-api.gable.ai/v0/lineage/export"

headers = {"X-API-KEY": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)

JavaScript

const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};

fetch('https://demo-api.gable.ai/v0/lineage/export', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));

PHP




Response Codes

Example Response

{
  "timestamp": "<string>",
  "items": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "runId": "<string>",
      "name": "<string>",
      "ingresses": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "kind": "<string>",
          "schema": {
            "type": "struct",
            "name": "<string>",
            "fields": [
              {
                "type": "struct",
                "name": "<string>",
                "fields": "<array>",
                "alias": "<string>",
                "doc": "<string>",
                "logical": "<string>",
                "optional": true
              }
            ],
            "alias": "<string>",
            "doc": "<string>",
            "logical": "<string>"
          },
          "signatureName": "<string>",
          "payloadName": "<string>",
          "friendly_name": "<string>"
        }
      ],
      "egresses": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "kind": "<string>",
          "schema": {
            "type": "struct",
            "name": "<string>",
            "fields": [
              {
                "type": "struct",
                "name": "<string>",
                "fields": "<array>",
                "alias": "<string>",
                "doc": "<string>",
                "logical": "<string>",
                "optional": true
              }
            ],
            "alias": "<string>",
            "doc": "<string>",
            "logical": "<string>"
          },
          "signatureName": "<string>",
          "payloadName": "<string>",
          "friendly_name": "<string>"
        }
      ],
      "paths": [
        {
          "ingress": {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "codeAnchorId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "description": "<string>"
          },
          "egress": {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "codeAnchorId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "description": "<string>"
          },
          "codeAnchors": [
            {
              "anchorId": "<string>",
              "name": "<string>",
              "codeUri": {
                "file": "<string>",
                "lineStart": 123,
                "columnStart": 123,
                "lineEnd": 123,
                "columnEnd": 123
              },
              "url": "<string>"
            }
          ],
          "fieldMappings": [
            {
              "ingressField": "<string>",
              "egressField": "<string>",
              "notes": "<string>",
              "fieldDataFlowPath": [
                {
                  "anchorId": "<string>",
                  "name": "<string>",
                  "codeUri": {
                    "file": "<string>",
                    "lineStart": 123,
                    "columnStart": 123,
                    "lineEnd": 123,
                    "columnEnd": 123
                  },
                  "url": "<string>"
                }
              ]
            }
          ],
          "pathId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "transformationSummary": "<string>",
          "transformationSummaryDetailed": "<string>",
          "payloadName": "<string>",
          "friendlyPayloadName": "<string>",
          "completeness": {},
          "isSuppressed": false,
          "pathNotes": "<string>",
          "suppressedAt": {
            "timestamp": "2023-11-07T05:31:56Z",
            "versionId": "<string>"
          }
        }
      ],
      "type": "<string>",
      "metadata": {
        "repo_uri": "<string>",
        "repo_branch": "<string>",
        "repo_commit": "<string>",
        "project_root": "<string>",
        "repo_ui_url": "<string>",
        "external_component_id": "<string>",
        "repo_name": "<string>",
        "event_repo": "<string>",
        "repo_commit_timestamp": "<string>",
        "is_default_branch": true,
        "namespace": "<string>",
        "docker_image_version": "<string>",
        "has_uncommitted_changes": true,
        "operating_system": "<string>",
        "sca_config_version": "<string>",
        "scan_duration_ms": 123,
        "raw_payload_size_bytes": 123,
        "upload_duration_ms": 123,
        "pr_base_branch": {
          "branch": "<string>",
          "commit": "<string>"
        },
        "pr_number": 123,
        "gable_cli_version": "<string>",
        "sca_prime_version": "<string>",
        "dependencies": [
          {
            "repo_name": "<string>",
            "commit_sha": "<string>",
            "commit_timestamp": "<string>"
          }
        ],
        "extras": {}
      },
      "friendly_name": "<string>"
    }
  ]
}

Authorizations

X-API-KEY

string

header

required

Query Parameters

run_id

string

required

UUID of the run

Response

200

application/json

Lineage export